Skip to content
Fulfillment & ShippingMethods

Get shipping method

Returns one shipping method with pricing, eligibility, available days, connection ID, pickup-point IDs and embedded rates.

Path Parameters

id*string

Unique identifier of the resource.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.ecomiq.pe/api/v1/shipping/methods/7204558912004321806" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "id": "7204558912004321806",  "storeId": "7204558912004327977",  "sellerId": "7204558912004323447",  "name": "Envío estándar",  "displayName": "Envío estándar",  "type": "regular",  "isActive": true,  "visibleInCheckout": true,  "sortOrder": 1,  "shippingProfileId": "7204558912004329819",  "minOrderAmount": 178,  "maxOrderAmount": 178,  "minWeight": 0.3,  "maxWeight": 0.3,  "allowSplitFulfillment": false,  "availableDays": [    "monday"  ],  "basePrice": 89,  "currency": "PEN",  "estimatedDeliveryDays": 30,  "estimatedDeliveryHours": 1,  "metadata": {},  "connectionId": "7204558912004329542",  "pickupPointIds": [    "7204558912004324876"  ],  "rates": [    {      "id": "7204558912004321806",      "storeId": "7204558912004327977",      "sellerId": "7204558912004323447",      "shippingMethodId": "7204558912004325207",      "type": "flat",      "price": 89,      "currency": "PEN",      "minOrderPrice": 89,      "maxOrderPrice": 89,      "postalCodes": [        "15074"      ],      "isActive": true,      "description": "Polo de algodón pima para uso diario.",      "discountPercentage": 10,      "zoneCode": "LIMA",      "minWeight": 0.3,      "maxWeight": 0.3,      "minValue": 1,      "maxValue": 1,      "basePrice": 89,      "pricePerKg": 89,      "pricePerUnit": 89,      "taxIncluded": false,      "surcharge": 1,      "metadata": {},      "createdOn": "2026-09-28T15:30:00Z",      "updatedOn": "2026-09-28T15:30:00Z",      "baseLanguage": "Envío estándar",      "translations": {        "key": {          "description": "Polo de algodón pima para uso diario."        }      }    }  ],  "createdOn": "2026-09-28T15:30:00Z",  "updatedOn": "2026-09-28T15:30:00Z",  "baseLanguage": "Envío estándar",  "translations": {    "key": {      "displayName": "Envío estándar"    }  }}